monkeysphere_0.41-1ubuntu1_all.deb


Advertisement

Description

monkeysphere - leverage the OpenPGP web of trust for SSH and TLS authentication

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename monkeysphere_0.41-1ubuntu1_all.deb
Package name monkeysphere
Package version 0.41
Package release 1ubuntu1
Package architecture all
Package type deb
Category universe/net
Homepage http://web.monkeysphere.info/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 63.27 KB
Installed size 252.00 KB
SSH key-based authentication is tried-and-true, but it lacks a true
Public Key Infrastructure for key certification, revocation and
expiration.  Monkeysphere is a framework that uses the OpenPGP web of
trust for these PKI functions.  It can be used in both directions:
for users to get validated host keys, and for hosts to authenticate
users.  Current monkeysphere SSH tools are designed to integrate
with the OpenSSH implementation of the Secure Shell protocol.
Monkeysphere can also be used by a validation agent to validate TLS
connections (e.g. https).

Alternatives

Package Version Architecture Repository
monkeysphere_0.41-1ubuntu1_all.deb 0.41 all Ubuntu Universe
monkeysphere - - -

Requires

Name Value
adduser -
gnupg -
libcrypt-openssl-rsa-perl -
libdigest-sha-perl -
lockfile-progs -
procmail -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package monkeysphere_0.41-1ubuntu1_all.deb
Source Package monkeysphere

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install monkeysphere deb package:
    # sudo apt-get install monkeysphere

Files

Path
/etc/monkeysphere/monkeysphere-authentication.conf
/etc/monkeysphere/monkeysphere-host.conf
/etc/monkeysphere/monkeysphere.conf
/usr/bin/monkeysphere
/usr/bin/openpgp2pem
/usr/bin/openpgp2spki
/usr/bin/openpgp2ssh
/usr/bin/pem2openpgp
/usr/sbin/monkeysphere-authentication
/usr/sbin/monkeysphere-host
/usr/share/doc/monkeysphere/NEWS.Debian.gz
/usr/share/doc/monkeysphere/changelog.Debian.gz
/usr/share/doc/monkeysphere/copyright
/usr/share/man/man1/monkeysphere.1.gz
/usr/share/man/man1/openpgp2pem.1.gz
/usr/share/man/man1/openpgp2spki.1.gz
/usr/share/man/man1/openpgp2ssh.1.gz
/usr/share/man/man1/pem2openpgp.1.gz
/usr/share/man/man7/monkeysphere.7.gz
/usr/share/man/man8/monkeysphere-authentication.8.gz
/usr/share/man/man8/monkeysphere-host.8.gz
/usr/share/monkeysphere/VERSION
/usr/share/monkeysphere/checkperms
/usr/share/monkeysphere/common
/usr/share/monkeysphere/defaultenv
/usr/share/monkeysphere/keytrans
/usr/share/monkeysphere/monkeysphere-authentication-keys-for-user
/usr/share/monkeysphere/m/gen_subkey
/usr/share/monkeysphere/m/import_subkey
/usr/share/monkeysphere/m/keys_for_userid
/usr/share/monkeysphere/m/ssh_proxycommand
/usr/share/monkeysphere/m/subkey_to_ssh_agent
/usr/share/monkeysphere/m/update_authorized_keys
/usr/share/monkeysphere/m/update_known_hosts
/usr/share/monkeysphere/ma/add_certifier
/usr/share/monkeysphere/ma/diagnostics
/usr/share/monkeysphere/ma/list_certifiers
/usr/share/monkeysphere/ma/remove_certifier
/usr/share/monkeysphere/ma/setup
/usr/share/monkeysphere/ma/update_users
/usr/share/monkeysphere/mh/add_name
/usr/share/monkeysphere/mh/add_revoker
/usr/share/monkeysphere/mh/diagnostics
/usr/share/monkeysphere/mh/import_key
/usr/share/monkeysphere/mh/publish_key
/usr/share/monkeysphere/mh/revoke_key
/usr/share/monkeysphere/mh/revoke_name
/usr/share/monkeysphere/mh/set_expire
/usr/share/monkeysphere/transitions/0.23
/usr/share/monkeysphere/transitions/0.28
/usr/share/monkeysphere/transitions/README.txt

Changelog

2018-02-04 - Dimitri John Ledkov <xnox@ubuntu.com>
monkeysphere (0.41-1ubuntu1) bionic; urgency=medium
* Disable tests, fail to build the package. The tests are better
executed as autopkgtest. Closes: #841208, #861457, #613678
2016-12-02 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.41-1) unstable; urgency=medium
* new upstream release
- pem2openpgp now includes issuer fingerprint subpacket
in hashed self-sig, more compatible with GnuPG 2.1.16
(Closes: #846554)
- avoid blocking for entropy during test suite
(Closes: #841208)
- ensure that attempts to fetch primary key fingerprint only fetch
primary key fingerprint even if subkey fprs are emitted
(Closes: #846554)
* convert to debhelper 10
* wrap-and-sort -ast
* add netcat-openbsd to Recommends (Closes: #595947)
* switch Recommends: from cron to cron-daemon (Closes: #842823)
* drop patches already applied upstream
* moved debian packaging to collab-maint for better visibility
* added debian/watch to make lintian happy
* converted debian/NEWS to not use asterisk-bulleted style
* use all hardening options during C build
2016-10-12 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.40-2) unstable; urgency=medium
* try to fix kfreebsd builds
2016-10-12 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.40-1) unstable; urgency=medium
* new upstream release
- build cleanly with ld --as-needed (Closes: #836228)
- tests pass with GnuPG 2.1.15 (Closes: #839790)
2016-08-30 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.39-1) unstable; urgency=medium
* new upstream bugfix release
- avoid treating src/share/common as an executable
- Include local build of agent-transfer in $PATH (Closes: #835719)
- force bash as the shell during su (Closes: #827660)
2016-06-17 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.38-1) unstable; urgency=medium
* new upstream release
- includes new binary package "agent-transfer"
2015-05-06 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.37-3) unstable; urgency=medium
* actually patch log() to consume all stdin when not given a message
argument (apparently the fix in 0.37-2 did not get properly applied)
(Closes: #778833)
* also from usptream: improve monkeysphere-authentication diagnostic
checks.
* wrap-and-sort for a cleaner debian/
2014-11-27 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.37-2) unstable; urgency=medium
* patch from upstream: log() should consume all stdin when not given a
message argument.  Closes: #635711
* bumped Standards-Version to 3.9.6 (no changes needed)
2014-08-06 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.37-1) unstable; urgency=medium
* new upstream release (Closes: #745144, #755337)
* remove /var/lib/monkeysphere on package purge (Closes: #668754)
* bumped Standards-Version to 3.9.5 (no changes needed)
2013-07-11 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
monkeysphere (0.36-1) unstable; urgency=low
* New upstream release
(Closes: #635648, #698383)
* bumped Standards-Version to 3.9.4 (no changes needed)
* moved debhelper compat level to 9
* debian/control: remove obsolete Dm-Upload-Allowed
* debian/copyright: update to modern machine-readable format

See Also

Package Description
mono-4.0-gac_5.18.0.240+dfsg-2ubuntu2_all.deb Mono GAC tool (for CLI 4.0)
mono-4.0-service_5.18.0.240+dfsg-2ubuntu2_all.deb Mono service manager for CLI 4.0
mono-addins-utils_1.0+git20130406.adcd75b-4_all.deb Command-line utility for Mono.Addins management
mono-apache-server4_4.2-2.1_all.deb ASP.NET 4.5 backend for mod_mono Apache module
mono-apache-server_4.2-2.1_all.deb ASP.NET backend for mod_mono Apache module - default version
mono-basic-source_4.0.1-2_all.deb mono-basic source code
mono-complete_5.18.0.240+dfsg-2ubuntu2_amd64.deb complete Mono runtime, development tools and all libraries
mono-csharp-shell_5.18.0.240+dfsg-2ubuntu2_all.deb interactive C# shell
mono-devel_5.18.0.240+dfsg-2ubuntu2_all.deb Mono development tools
mono-fastcgi-server4_4.2-2.1_all.deb ASP.NET 4.0 backend for FastCGI webservers
mono-fastcgi-server_4.2-2.1_all.deb ASP.NET backend for FastCGI webservers - default version
mono-fpm-server_4.2-2.1_all.deb ASP.NET backend for FastCGI Process Manager
mono-gac_5.18.0.240+dfsg-2ubuntu2_all.deb Mono GAC tool
mono-jay_5.18.0.240+dfsg-2ubuntu2_amd64.deb LALR(1) parser generator oriented to Java/CLI
mono-mcs_5.18.0.240+dfsg-2ubuntu2_all.deb Mono C# 2.0 / 3.0 / 4.0 / 5.0 compiler for CLI 2.0 / 4.0 / 4.5
Advertisement
Advertisement